## libuecc 6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(LIBUECC C)
set(PROJECT_VERSION 6)

set(CMAKE_MODULE_PATH ${LIBUECC_SOURCE_DIR})

set(DOXYFILE_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src")
set(DOXYFILE_EXTRA_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/include")

include(UseDoxygen OPTIONAL)

set(LIBDIR "lib${LIB_SUFFIX}")

add_subdirectory(src)

configure_file(${LIBUECC_SOURCE_DIR}/libuecc.pc.in ${LIBUECC_BINARY_DIR}/libuecc.pc @ONLY)
install(FILES ${LIBUECC_BINARY_DIR}/libuecc.pc DESTINATION "${LIBDIR}/pkgconfig")

FILE(GLOB include_files "${CMAKE_CURRENT_SOURCE_DIR}/include/libuecc/*.h")
install(FILES ${include_files} DESTINATION "include/libuecc-${PROJECT_VERSION}/libuecc")

=== src/CMakeLists.txt ===
include_directories(${LIBUECC_SOURCE_DIR}/include)

set(UECC_SRC ec25519.c ec25519_gf.c)
set(UECC_ABI 0)

add_library(uecc_shared SHARED ${UECC_SRC})
set_target_properties(uecc_shared PROPERTIES
  OUTPUT_NAME uecc
  SOVERSION ${UECC_ABI}
  VERSION ${UECC_ABI}.${PROJECT_VERSION}
  COMPILE_FLAGS -Wall
)

add_library(uecc_static STATIC ${UECC_SRC})
set_target_properties(uecc_static PROPERTIES
  OUTPUT_NAME uecc
  COMPILE_FLAGS -Wall
)

install(TARGETS uecc_shared uecc_static
  ARCHIVE DESTINATION ${LIBDIR}
  LIBRARY DESTINATION ${LIBDIR}
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
libuecc (6-1) unstable; urgency=low

  * Upload of 6-0uf1 with a few changes to debian/{control,changelog,copyright,rules},
    only.
  * Introduced watch file, albeit still encumbered by certificate problems.
  * Added myself to uploaders.

 -- Steffen Moeller <moeller@debian.org>  Sun, 25 Oct 2015 18:26:31 +0100

libuecc (6-0uf1) UNRELEASED; urgency=low

  * New upstream release
  * Use new release number scheme to track package origin (uf suffix for
    universe-factory.net releases)

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Sun, 25 Oct 2015 16:15:40 +0100

libuecc (5-3) UNRELEASED; urgency=low

  * Build with optimization

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Sun, 31 May 2015 22:11:38 +0200

libuecc (5-2) UNRELEASED; urgency=low

  * Add symbol definitions, include static library into -dev package

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Fri, 30 Jan 2015 08:37:36 +0100

libuecc (5-1) UNRELEASED; urgency=low

  * New release

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Thu, 29 Jan 2015 07:17:31 +0100

libuecc (4-1) UNRELEASED; urgency=low

  * New release

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Sun, 29 Dec 2013 13:08:54 +0100

libuecc (3-1) UNRELEASED; urgency=low

  * New release

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Thu, 10 Jan 2013 18:07:21 +0100

libuecc (2-1) UNRELEASED; urgency=low

  * libuecc v2 release

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Sun, 23 Dec 2012 23:20:18 +0100

libuecc (0.1-2) UNRELEASED; urgency=low

  * libuecc v0.1 release

 -- Matthias Schiffer <mschiffer@universe-factory.net>  Sat, 06 Oct 2012 18:33:09 +0200

=== debian/control ===
Source: libuecc
Priority: extra
Maintainer: Matthias Schiffer <mschiffer@universe-factory.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.universe-factory.net/projects/fastd

Package: libuecc0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: very small Elliptic Curve Cryptography library
 libuecc is a general-purpose ECC library. It uses a curve similar
 to djb's Curve25519 which is part of the NaCl library. Because
 of its small footprint, it is often employed on embedded devices
 like routers.

Package: libuecc-dev
Architecture: any
Section: libdevel
Depends: libuecc0 (= ${binary:Version}), ${misc:Depends}
Description: development library and headers for libuecc
 libuecc is a general-purpose ECC library which uses a curve similar to djb's
 Curve25519 which is part of the NaCl library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RELEASE -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

## libuecc 7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(LIBUECC C)
-set(PROJECT_VERSION 6)
+set(PROJECT_VERSION 7)
 
 set(CMAKE_MODULE_PATH ${LIBUECC_SOURCE_DIR})

=== debian/changelog ===
libuecc (7-7) unstable; urgency=medium

  * debian/patches:
    - Add Fix-build-with-CMake-4.patch, Fix build with CMake 4
      (Closes: #1113210)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 01 Sep 2025 11:04:28 +0200

libuecc (7-6) unstable; urgency=medium

  * debian/watch:
    - Switch to api.github.com to check for releases
  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:50 +0100

libuecc (7-5) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 17:30:16 +0100

libuecc (7-4) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Switch to correct DEP-14 unstable branch name
    - Remove versioned constraints unnecessary since buster
  * debian/upstream/metadata:
    - Fix path to upstream repository
  * debian/copyright:
    - Update copyright years to 2022

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:34:46 +0100

libuecc (7-3) unstable; urgency=medium

  * debian/control:
    - Switch maintainer to Debian CommunityWLAN Team

 -- Sven Eckelmann <sven@narfation.org>  Sun, 12 Jul 2020 12:04:24 +0200

libuecc (7-2) unstable; urgency=medium

  * debian/control:
    - Order control files with `wrap-and-sort -abst`
    - Switch to debhelper compat 13
    - Switch from deprecated extra priority to optional
    - Allow one to build without root
    - Enable multi-arch same
    - Add Vcs-* information
    - Fix Homepage URL
    - Upgraded to policy 4.5.0, no changes required
    - Add myself as uploader as discussed with Maintainer
    - Drop Matthias Schiffer as Maintainer as discussed with him
  * Add debian/upstream/metadata
  * Fix debian/watch upstream URL
  * Provide Build-Depends-Package for dpkg-shlibdeps
  * debian/rules:
    - Define PHONY targets
    - Use standard dh_clean
    - Restructure dh_auto_configure
    - Use debhelper's standard cmake CMAKE_BUILD_TYPE
    - Enable all hardening options
  * Fix debian/copyright format

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 May 2020 15:13:51 +0200

libuecc (7-1) unstable; urgency=low

  * New upstream version.
  * Added myself as additional uploader.
  * Set hardening flags

 -- Haiko Helmholz <jo-travolti@t-online.de>  Tue, 05 Apr 2016 19:55:45 +0200

=== debian/control ===
Source: libuecc
Section: libs
Priority: optional
Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
Uploaders:
 Haiko Helmholz <jo-travolti@t-online.de>,
 Steffen Moeller <moeller@debian.org>,
 Sven Eckelmann <sven@narfation.org>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/NeoRaider/libuecc
Vcs-Git: https://salsa.debian.org/communitywlan-team/libuecc.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/communitywlan-team/libuecc
Build-Depends:
 cmake,
 debhelper-compat (= 13),

Package: libuecc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libuecc0 (= ${binary:Version}),
 ${misc:Depends},
Description: development library and headers for libuecc
 libuecc is a general-purpose ECC library which uses a curve similar to djb's
 Curve25519 which is part of the NaCl library.

Package: libuecc0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: very small Elliptic Curve Cryptography library
 libuecc is a general-purpose ECC library. It uses a curve similar
 to djb's Curve25519 which is part of the NaCl library. Because
 of its small footprint, it is often employed on embedded devices
 like routers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CMAKE_EXTRA_FLAGS :=
CMAKE_EXTRA_FLAGS += -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_configure

=== debian/watch ===
version=4

opts="searchmode=plain" \
    https://api.github.com/repos/neocturne/@PACKAGE@/releases?per_page=100 \
    https://github.com/neocturne/@PACKAGE@/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
